'''
Created on Aug 18, 2011

@author: maemo
'''
 #!/usr/bin/env python

import dbus
import gobject

#NAMES
TP_ACCT_MGR = 'org.freedesktop.Telepathy.AccountManager'
TP_ACCT = 'org.freedesktop.Telepathy.Account'
DBUS_PROPS = 'org.freedesktop.DBus.Properties'

sessbus = dbus.SessionBus()
am_obj = sessbus.get_object(TP_ACCT_MGR,
                            '/org/freedesktop/Telepathy/AccountManager')
am_props = dbus.Interface(am_obj, DBUS_PROPS)

accounts = am_props.Get(TP_ACCT_MGR,
                            "ValidAccounts")
for path in accounts:
        if ("/org/freedesktop/Telepathy/Account/ring/tel/ring" == path):
            continue
        acct_obj = sessbus.get_object(TP_ACCT_MGR, path)
        acct_props = dbus.Interface(acct_obj, DBUS_PROPS)

        acct_props.Set(TP_ACCT,
                           "RequestedPresence",
                           dbus.Struct((dbus.UInt32(2),
                                        dbus.String(u"available"),
                                        dbus.String(u"") )) )
        acct_props.Set(TP_ACCT,
                           "ConnectAutomatically",
                           dbus.Boolean(True))
